#
# spec file for package kucero
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define goipath github.com/jenting/kucero

Name:           kucero
Version:        1.6.2
Release:        1.5
Summary:        Kubernetes control plane certificate auto rotation
License:        Apache-2.0
Group:          System/Management
URL:            https://github.com/SUSE/kucero
Source0:        https://github.com/SUSE/kucero/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang-packaging
BuildRequires:  golang(API) >= 1.16

%description
A Kubernetes daemonset to perform automatic control plane certificate rotation.

%prep
%autosetup -p1 -a 1

%build
%goprep %{goipath}
export CGO_ENABLED=0
%gobuild -mod vendor -ldflags "-s -w -X main.version=%{version}" cmd/kucero

%install
%goinstall

%files
%defattr(-,root,root)
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Mon Jan 23 2023 dmueller@suse.com
- Update to version 1.6.2:
  * For v1.6.2 release (#50)
  * Bump gomodules to fix CVEs (#49)
  * Uplift go-restful module to v2.16.0 (#48)
  * Bump CI test to v1.25.0 (#47)
  * Add Kubernetes 1.25 CI test (#46)
  * For v1.6.1 release (#45)
  * Update go modules (#44)
  * Add golang v1.19 (#42)
  * Bump minimum Golang version to 1.17 (#41)
  * Remove PSP (#40)
  * Change how we decide the node is control plane node
  * Bump container image to opensuse/leap:15.4
  * Bump base image to go 1.18
  * Bump kind version to v0.13.0
  * Add Go 1.18 CI test
  * Bump the k8s version to the latest
  * Add k8s 1.24 CI test
* Fri Mar 18 2022 jenting.hsiao@suse.com
- Update to version 1.6.0:
  * For v1.6.0 release (#35)
  * Honor Kubernetes CSR spec.expirationSeconds to control cert duration (#34)
  * Add CI test on k8s v1.23.0 (#32)
* Fri Mar 18 2022 jenting.hsiao@suse.com
- Update to version 1.5.2:
  * For v1.5.2 release (#31)
  * Bump authorization.k8s.io to v1 (#30)
* Fri Mar 18 2022 jenting.hsiao@suse.com
- Update to version 1.5.1:
  * For v1.5.1 release (#28)
  * Bump certificates.k8s.io to v1 (#25)
  * Bump E2E k8s version to v1.22.2 (#27)
  * Bump base image go to 1.17 (#26)
  * Add Go 1.17 CI test (#24)
  * Add k8s v1.22 CI test (#22)
  * Bump base image version to opensuse leap 15.3 (#20)
  * Add Kubernetes v1.21 CI test (#21)
* Fri Mar 18 2022 jenting.hsiao@suse.com
- Update to version 1.5.0:
  * For v1.5.0 release (#19)
  * Support kubeadm >= v1.20.0 (#18)
  * Bump CI kind version to engineerd/setup-kind@v0.5.0 (#17)
  * Remove kubectl binary (#15)
  * Update kubelet config (#13)
  * Address insensitive language (#10)
  * Add duration flag to change kubelet server certificate TTL (#8)
  * Update README for CI badge
  * SUSE use OBS to build/push container image, remove build/push to docker hub (#7)
  * Update new recordings (#6)
* Tue Nov 10 2020 jenting hsiao <jenting.hsiao@suse.com>
- Bump verison v1.4.0
  * Removes kubectl command binary dependency.
* Tue Oct 13 2020 Jan Engelhardt <jengelh@inai.de>
- Combine redundant %%setup calls.
* Tue Sep 29 2020 jenting hsiao <jenting.hsiao@suse.com>
- Bump version v1.3.0
  * updates /etc/kubernetes/kubelet.conf to use symlink /var/lib/kubelet/pki/kubelet-client-current.pem
    if the kubelet.conf is bootstrapped before Kubernetes 1.17. (bsc#1176578)
  * supports automatically enable or disable the kubelet client and server certificate in /var/lib/kubelet/config.yaml.
  * Add --duration flag to support changing kubelet server certificate TTL.
* Fri May 29 2020 jenting hsiao <jenting.hsiao@suse.com>
- Initial version v0.0.58
